package net.sf.sido;

import java.util.Locale;

/**
 * Validation error.
 */
public interface ValidationError {

    /**
     * Detail of the error
     */
	DOException getError();

    /**
     * Name of the validated field
     */
	String getName();

    /**
     * Full displayable message, using the default locale
     */
    String getMessage();

    /**
     * Full displayable message
     */
    String getMessage(Locale locale);
}
