package net.sf.sido.factory.sido.antlr;

import java.util.LinkedHashMap;
import java.util.Map;

public class Constraint {

	private final String id;

	private final Map<String, String> params = new LinkedHashMap<String, String>();
	private String value;

	public Constraint(String id) {
		this.id = id;
	}

	public String getId() {
		return id;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public String getParam(String name) {
		return params.get(name);
	}

	public void addParam(String name, String value) {
		params.put(name, value);
	}

}
