package net.sf.sido.io.json;

import net.sf.sido.DataFactory;
import net.sf.sido.DataObject;
import net.sf.sido.io.SiDODeserializerContext;
import org.codehaus.jackson.JsonNode;
import org.codehaus.jackson.JsonParser;
import org.codehaus.jackson.JsonProcessingException;
import org.codehaus.jackson.map.DeserializationContext;
import org.codehaus.jackson.map.JsonDeserializer;

import java.io.IOException;

public class SiDOJsonDeserializer extends JsonDeserializer<DataObject> {

    @Override
    public DataObject deserialize(JsonParser jsonParser, DeserializationContext deserializationContext) throws IOException, JsonProcessingException {
        JsonNode node = jsonParser.readValueAsTree();
        JSONDataObjectReader reader = new JSONDataObjectReader();
        DataFactory dataFactory = SiDODeserializerContext.getDataFactory();
        DataObject result = reader.read(node, dataFactory, null);
        return result;
    }
}
