package net.sf.sido.factory.json;

import net.sf.sido.constraint.ConstraintDefinition;

import org.codehaus.jackson.JsonNode;

public class JSONConstraintDefinition implements ConstraintDefinition {

	private final JsonNode jConstraint;

	public JSONConstraintDefinition(JsonNode jConstraint) {
		this.jConstraint = jConstraint;
	}

	@Override
	public String getType() {
		return JSONUtils.getString(jConstraint, "type", true, null);
	}

	@Override
	public String getParameter(String name, boolean mainValue, boolean required, String defaultValue) {
		return JSONUtils.getString(jConstraint, name, required, defaultValue);
	}

}
