package net.sf.sido.support;

import net.sf.sido.DataFactory;
import net.sf.sido.DataObjectController;

public final class DataFactories {

	public static DataFactory factory(DataObjectController... controllers) {
		return new DefaultDataFactory(controllers);
	}

	public static DataFactory simpleFactory() {
		return factory();
	}

	public static DataFactory typedFactory() {
		return factory(new PropertyDataObjectController());
	}

	private DataFactories() {
	}

}
